function SplitFilename(strFilename)
  return string.match(strFilename, "(.-)([^.]+)$")
end
  reaper.Undo_BeginBlock()
local val = 0.01
master = reaper.GetMasterTrack(0)
O = reaper.GetMediaTrackInfo_Value(master, "D_PAN")


if O < 1.0 then
tkpan_out = O + val



  local def_value = 0.0
      reaper.SetMediaTrackInfo_Value(master, "D_PAN",tkpan_out)
end
OOO = reaper.GetMediaTrackInfo_Value(master, "D_PAN")
  reaper.Undo_EndBlock("Pan master track to right", -1)
reaper.osara_outputMessage(OOO*100)
